package com.jz.dmp.modules.service;


import com.jz.common.constant.JsonResult;
import com.jz.common.page.PageInfoResponse;
import com.jz.dmp.modules.controller.DataIntegration.bean.DataSourceListDto;
import com.jz.dmp.modules.controller.DataIntegration.bean.DataSourceListReq;
import com.jz.dmp.modules.model.DmpSyncingDatasource;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 数据源配置(DmpSyncingDatasource)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-24 14:09:59
 */
public interface DmpSyncingDatasourceService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    DmpSyncingDatasource queryById(Integer id);

    /**
     * 查询多条数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<DmpSyncingDatasource> queryAllByLimit(int offset, int limit);

    /**
     * 新增数据
     *
     * @param dmpSyncingDatasource 实例对象
     * @return 实例对象
     */
    DmpSyncingDatasource insert(DmpSyncingDatasource dmpSyncingDatasource);

    /**
     * 修改数据
     *
     * @param dmpSyncingDatasource 实例对象
     * @return 实例对象
     */
    DmpSyncingDatasource update(DmpSyncingDatasource dmpSyncingDatasource);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    PageInfoResponse<DataSourceListDto> queryDataSourceListPage(DataSourceListReq req, HttpServletRequest httpRequest) throws Exception;

    JsonResult delDataSourceById(String datasourceId) throws Exception;
}